Subject: bug#11081: 24.0.94; "emacsclient --create-frame" occasionally crashes daemon or causes daemon to hang

From: Brad Town <[email-masked]>
Date: Sat, 4 Dec 2021 12:50:09 -0800

I haven't used this functionality in a long time. I think it's reasonable
to close this issue.

On Sat, Dec 4, 2021, 12:02 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Jan Djärv <[email-masked]> writes:
>
> > No, the new frame that is being created is not live when this code is
> > executed.  The crash happens when emacsclient --create-frame is run,
> > not when exiting the frame.  The f->terminal is indeed NULL, and
> > x_display_list is NULL.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> Are you still seeing this issue in more recent Emacs versions?  (I can't
> recall seeing any reports like this, at least.)
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>